body {
    font-size: 12px;
}

* {
    font-family: NotoSansKR;
}

@font-face {
    font-family: NotoSansKR;
    src: url("../fonts/NotoSansKR-Thin.otf");
    font-weight: 100;
}

@font-face {
    font-family: NotoSansKR;
    src: url("../fonts/NotoSansKR-Light.otf");
    font-weight: 300;
}

@font-face {
    font-family: NotoSansKR;
    src: url("../fonts/NotoSansKR-Medium.otf");
    font-weight: 500;
}

@font-face {
    font-family: NotoSansKR;
    src: url("../fonts/NotoSansKR-Regular.otf");
    font-weight: normal;
}

@font-face {
    font-family: NotoSansKR;
    src: url("../fonts/NotoSansKR-Bold.otf");
    font-weight: bold;
}

.font-12 {
    font-size: 12px;
}

.width-100 {
    width: 100%;
}

.height-100 {
    height: 100%;
}

.border-ddd {
    border: 1px solid #ddd;
}

.red-text {
    color: rgb(244, 81, 73) !important;
}

.ban-red-text {
    color: rgb(82, 12, 8) !important;
}

.ban-blue-text {
    color: rgb(26, 70, 105) !important;
}

.blue-text {
    /* color: rgb(71, 161, 237) !important; */
    color: #0E6DFC !important
}

.yellow-text {
    color: #F9BA9E !important;
}

.grey-text {
    color: rgb(220, 220, 250) !important;
}

.tree-text {
    color: #383e46 !important;
}

.green-text {
    /* color: rgb(125, 248, 131) !important; */
    color: #28a745;
}

.red-background {
    background-color: rgb(249, 191, 191) !important;
}

.red-color {
    color: rgb(249, 191, 191) !important;
}

.blue-background {
    background-color: rgb(159, 213, 237) !important;
}

.blue-color {
    color: rgb(159, 213, 237) !important;
}

.yellow-background {
    background-color: rgb(249, 249, 200) !important;
}

.yellow-color {
    color: rgb(249, 249, 200) !important;
}

.grey-background {
    background-color: rgb(220, 220, 250) !important;
}

.grey-color {
    color: rgb(220, 220, 250) !important;
}

.green-color {
    color: rgb(125, 248, 131) !important;
}

.green-background {
    background-color: rgb(125, 248, 131) !important;
}

.cursor-pointer {
    cursor: pointer;
}

button,
input,
select {
    font-size: 12px !important;
    box-shadow: none;
    outline: none;
    border: 1px solid #ccc;
    /* border-radius: .3rem; */
    height: 30px;
}

textarea {
    font-size: 12px !important;
    box-shadow: none;
    outline: none;
    border: 1px solid #ccc;
}

input.input-200px {
    width: 200px;
}

button {
    border: none;
}

input,
select {
    padding: 0 10px;
}

.main-content {
    position: relative;
    margin-left: 240px;
    padding: 40px;
    min-width: 1120px;
    color: #666;
    width: fit-content;
}

.main-content .content-title,
.main-content .header-body,
.main-content .action-body {
    margin-bottom: 10px;
}

.main-content .header-body,
.main-content .data-body,
.main-content .content-body {
    background-color: white;
    border-color: #eee;
    border-width: 0px 1px 1px 1px;
    border-top: 2px solid #E71707;
    border-style: solid;
    padding: 30px;
}

.main-content .header-body {
    border-top-color: #60D4D8;
    margin-bottom: 30px;
}

.margin-sm {
    margin-right: 5px;
}

.margin-md {
    margin-right: 10px;
}

#on_off_btn {
    background-color: #ddd;
    border-color: #ddd;
}

#on_off_btn.active {
    background-color: green;
    border-color: green;
}

.searchbox span {
    align-self: center;
}

.expand {
    display: block;
    flex-grow: 1;
    background-color: #202030;
}

input.input-100 {
    width: 100% !important;
}

select.select-100 {
    width: 100% !important;
}

button.btn:focus {
    outline: none !important;
}


/* Modal CSS Define */

.messi_modal_content {
    /* width: 410px;
  background-color: #dee2e6; */
    width: 410px;
    background-color: #202030;
    color: #fff;
}

.messi_modal_header_padding {
    padding: 10px;
    border-bottom: 0px;
}

.messi_modal_icon {
    font-size: 20px;
    border: 3px solid #666666;
    border-radius: 50px;
    width: 25px;
    height: 25px;
    padding-left: 4px;
}

.messi_modal_body {
    padding: 5px;
}

.messi_modal_body_text {
    font-size: 15px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 10px;
}

.messi_modal_footer {
    padding: 10px;
    margin: auto;
    border-top: 0px;
}

.w-250px {
    width: 250px !important;
}

.back_style {
    transition: all 0.5s ease;
}

.caret1 {
    cursor: pointer;
    -webkit-user-select: none;
    /* Safari 3.1+ */
    -moz-user-select: none;
    /* Firefox 2+ */
    -ms-user-select: none;
    /* IE 10+ */
    user-select: none;
}

.nested {
    display: none;
}

.active {
    display: block;
}

.linebar {
    border-style: dotted;
    border-bottom-color: gray;
    border-left-color: gray;
    border-top-color: white;
    border-right-color: white;
    border-width: 2px;
}

.caret1::before {
    /* content: "\25B6"; */
    display: inline-block;
    margin-right: 7px;
}

.back_style:hover {
    color: black !important;
    border-width: 1px;
    border-style: solid;
    border-right: 1px;
    border-top: 1px;
    border-left: 1px;
}

.tree-icon {
    margin-right: 3px;
    font-size: 14px;
    color: #3699FF !important;
    border: 2px solid #3699FF;
    width: 35px;
    height: 35px;
    padding-right: 2px;
    padding-left: 2px;
    padding-top: 1px;
}

.tree-icon-2 {
    margin-right: 0px;
    font-size: 14px;
    color: #1BC5BD !important;
    /* border: 2px solid #1BC5BD; */
    width: 20px;
    height: 20px;
    padding-right: 0px;
    padding-left: 2px;
    padding-top: 4px;
    margin-top: 15px;
}

.tree-icon-1 {
    margin-right: 2px;
    font-size: 14px;
    color: #3699FF !important;
    /* border: 2px solid #1BC5BD; */
    width: 20px;
    height: 20px;
    padding-right: 2px;
    padding-left: 2px;
    padding-top: 3px;
    margin-top: 0px;
}

.bg-messi {
    background-color: #fff !important;
    border-top: 2px solid #e71707;
}

.agent-down {
    transform: rotate(90deg) translate(5px);
}

.my-detail {
    display: inline;
    width: 13px;
    color: #3699FF;
}

.my-detail-2 {
    display: inline;
    width: 13px;
    color: #1BC5BD;
    margin-top: 13px;
}

summary:focus,
.my-detail:focus {
    outline: none;
}

.my-mr-line {
    width: 40px;
    display: inline-block;
    text-align: center;
}

.my-align {
    margin-left: 3px;
}

.text-level-3 {
    color: #8950fc;
}

.text-level-4 {
    color: #ea16a9 !important;
    ;
}

.m-text-danger {
    color: #F64E60 !important;
}

.m-text-success {
    color: #1BC5BD !important;
}

.m-text-primary {
    color: #3699FF !important;
}

.switch {
    position: relative;
    display: inline-block;
    width: 43px;
    height: 20px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
    height: 20px !important;
}

.slider:before {
    position: absolute;
    content: "";
    height: 17px;
    width: 17px;
    left: 4px;
    bottom: 4px;
    top: 1px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: #2196F3;
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
    -webkit-transform: translateX(18px);
    -ms-transform: translateX(18px);
    transform: translateX(18px);
}


/* Rounded sliders */

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.unread-note {
    background: lightgray;
    color: black;
    padding: 2px;
    border-radius: 4px;
}

.user-detail-navbar {
    background-color: #202030;
    padding: 8px 10px;
    border-radius: 5px;
}

.user-detail-item a:hover {
    color: #d3d5d6;
    text-decoration: none;
}

.user-detail-item a {
    color: #e9edf1;
    text-decoration: none;
    background-color: transparent;
}

.user-detail-leftbar {
    margin-top: 2px;
}

.nav-pills .nav-link.active {
    color: #fff;
    background-color: #32363a;
}

.messi-pills .nav-link.active {
    color: #fff;
    background-color: #2f5479;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.mw-50 {
    width: 50px;
}

.mw-100 {
    width: 100px;
}

.mw-150 {
    width: 150px;
}

.main-content .messi-body {
    background-color: white;
    border-color: #eee;
    border-width: 1px 1px 1px 1px !important;
    border-style: solid;
    padding: 0px !important;
    padding-bottom: 20px !important;
}

.mingame .btn-dark:not(:disabled):not(.disabled).active {
    color: #fff;
    background-color: #0e6dfc;
    border-color: #327dc7;
}

.mw-6 {
    width: 60px;
}

.mw-10 {
    width: 100px;
}

.mw-12 {
    width: 120px;
}

.mw-15 {
    width: 150px;
}

.mw-13 {
    width: 140px;
}

.m-button-group {
    padding-top: 10px;
    padding-bottom: 10px;
}

.mmr-13 {
    margin-right: 15px;
    font-weight: bold;
}

.m-yellow-text {
    color: rgb(220, 223, 57);
    font-weight: bold;
}

.m-pointer {
    cursor: pointer;
}

.gray-text {
    color: #666
}

.my-modal {
    color: #fff;
}

.mwm-13 {
    min-width: 140px;
}

.btn-style {
    min-width: 80px;
}

.lead {
    font-size: 16px !important;
}

.sound-volume-off {
    margin-right: 10px;
    width: 16px;
    height: 16px;
    /* background: url(/images/volume_mute.png); */
}

.data-table {
    width: 100%;
}

.detail-th {
    background: #f0f0f0;
    height: 42px;
    border: 1px solid #ddd;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    width: 130px;
    border-top: none !important;
    text-align: center;
}


.detail-td {
    height: 42px;
    border: 1px solid #ddd;
    display: flex;
    align-items: center;
    justify-content: left;
    font-weight: 600;
    border-top: none !important;
    border-left: none !important;
}

@media screen and (max-width: 768px) {
    .detail-th {
        width: 100px
    }
}

.detail-th .detail-td:first-child {
    border-right: none !important;
}

.detail-table-head {
    background: #f0f0f0;
    height: 42px;
    border: 1px solid #ddd;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
}

#detail_table .row {
    margin-right: 0 !important;
    margin-left: 0 !important;
}

.detail-Id-colum .col-md-6 {
    padding: 0 !important;
}

.detail-Id-colum .row {
    flex-wrap: nowrap !important;
}

.btn {
    /* text-wrap: nowrap !important; */
    white-space: nowrap;
}

.language-button
{
    border: none;
    border-radius: 0px;
    background-color: #202030;
}
  .flag {
    width: 20px;
    height: 15px;
    margin-right: 5px;
  }
  .dropdown-menu {
    min-width: 110px;
  }
  .lang-item {
    padding: 5px 5px;
    display: flex;
    align-items: center;
    font-size: 0.9rem;
    text-decoration: none !important;
    color: #333 !important;
  }
  .lang-item img {
    margin-right: 10px;
  }
  
  .lang-item:hover {
    background-color: #929394;
    transition: background-color 0.3s ease-in-out;
  }


  .selectable-icon {
        width: 60px;
        height: 60px;
        border: 2px dashed #ccc;
        text-align: center;
        vertical-align: middle;
        cursor: pointer;
        background-color: #fafafa;
        position: relative;
        padding: 5px;
    }

    .selectable-icon:hover {
        border-color: #3399ff;
        background-color: #f0f8ff;
    }

    .selectable-icon .plus-icon {
        width: 40px;
        height: 40px;
        opacity: 0.7;
    }

@media screen and (max-width:600px) {
    .header {
        padding: 10px 20px !important;
        min-width: 0 !important;
        width: -webkit-fill-available !important;
        overflow: auto;
    }

    .main-content {
        position: relative;
        margin-left: 200px;
        padding: 20px;
        min-width: 0 !important;
        color: #666;
        width: -webkit-fill-available !important;
    }

    .main-content .header-body,
    .main-content .data-body,
    .main-content .content-body {
        padding: 5px;
        /* overflow: auto; */
    }

    /* .table-body {
        overflow: visible;
    } */

    .btn {
        margin-right: 0 !important;
        margin-left: 0 !important;
    }

    .m-button-group {
        text-align: center;
    }

    .m-button-group button {
        width: 100%;
    }

    .pagination {
        flex-wrap: wrap;
        justify-content: center;
    }

    .searchbox {
        flex-wrap: wrap;
        justify-content: center;
        flex-direction: column;
        gap: 5px;
    }

    .searchbox *:not(.switch) {
        width: 100% !important;
    }

    .main-content table th {
        white-space: nowrap;
    }

    .main-content table th * {
        white-space: nowrap;
    }

    .main-content table td span {
        white-space: nowrap;
    }

    .ml-auto {
        margin-left: 0 !important
    }

    .page-back {
        overflow: auto;
    }

    .main-content table td .btn {
        min-width: 62px;
    }

    .main-content table td input,
    .main-content table td select {
        width: 100%;
        margin-right: 0 !important;
        margin-left: 0 !important;
    }
}

.pulse1 {
    /* display: block;
    position: absolute;
    top: 7px;
    right: 0;
    width: 10px;
    height: 10px;
    border-radius: 50%; */
    cursor: pointer;
    transition: all .3s ease-in-out;
    animation: pulse2 2s infinite;
    /* display: none; */
}

.pulse-add {
    display: block !important;
}

.tree-view-btn {
    height: 25px;
}

.select2-selection {
    border-radius: 0 !important;
}

@keyframes pulse2 {
    0% {
        background-color: #000000;
    }
    
    70% {
        background-color: #cc0000;
    }

    100% {
        background-color: #000000;
    }
}
.pulse2 {
    /* display: block;
    position: absolute;
    top: 7px;
    right: 0;
    width: 10px;
    height: 10px;
    border-radius: 50%; */
    cursor: pointer;
    animation: pulse1 1.8s infinite;
    /* display: none; */
}
.pulse-background {
    animation: pulse2 1.8s infinite;
}
.pulse-add {
    display: block !important;
}

@keyframes pulse1 {
    0% {
       opacity: 1;
    }
    
    50% {
        opacity: 0;
    }

    70% {
       opacity: 1;
    }
    100% {
       opacity: 1;
    }
}

